# Yahoo! UI Library

### editor 3.3.0

Yahoo! UI Library > editor > Plugin.EditorBR
Search:
Filters Show Private Show Protected Show Deprecated

## Class Plugin.EditorBR - extends Base

Plugin for Editor to normalize BR's.

### Constructor

Plugin.EditorBR `( )`

### Properties

#### inst - `object`

This forced FF to redraw the content on backspace. On some occasions FF will leave a cursor residue after content has been deleted. Dropping in the empty textnode and then removing it causes FF to redraw and remove the "ghost cursors"

#### NAME - `static object`

editorBR

#### NS - `static object`

editorBR

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Base:

`name`

### Methods

#### _afterEditorReady

`private void _afterEditorReady ( )`
Adds listeners for keydown in IE and Webkit. Also fires insertbeonreturn for supporting browsers.

#### _onKeyDown

`private void _onKeyDown ( )`
Frame keyDown handler that normalizes BR's when pressing ENTER.

#### _onNodeChange

`private void _onNodeChange ( e )`
Adds a nodeChange listener only for FF, in the event of a backspace or delete, it creates an empy textNode inserts it into the DOM after the e.changedNode, then removes it. Causing FF to redraw the content.

Parameters:
  `e <Event>` The nodeChange event.

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

#### Configuration attributes inherited from Base:

`destroyed initialized`

Copyright © 2011 Yahoo! Inc. All rights reserved.